| dph-seq-0.3: Data structures for Nested Data-Parallel Haskell. | Source code | Contents | Index

Data.Array.Parallel.PArray

Synopsis

data family PArray a
class Elt a
class Random a where

randoms :: RandomGen g => Int -> g -> PArray a
randomRs :: RandomGen g => Int -> (a, a) -> g -> PArray a

length :: Elt a => PArray a -> Int
empty :: Elt a => PArray a
replicate :: Elt a => Int -> a -> PArray a
singleton :: Elt a => a -> PArray a
zip :: (Elt a, Elt b) => PArray a -> PArray b -> PArray (a, b)
unzip :: (Elt a, Elt b) => PArray (a, b) -> (PArray a, PArray b)
enumFromTo :: Int -> Int -> PArray Int
fromList :: Elt a => [a] -> PArray a
nf :: Elt a => PArray a -> ()

Documentation

data family PArray a | Source

Lifted parallel arrays

class Elt a | Source

Instances

Elt Double
Elt Int
(Elt a, Elt b) => Elt ((,) a b)
(Elt a, Elt b, Elt c) => Elt ((,,) a b c)
(Elt a, Elt b, Elt c, Elt d) => Elt ((,,,) a b c d)
(Elt a, Elt b, Elt c, Elt d, Elt e) => Elt ((,,,,) a b c d e)

class Random a where | Source

Methods

randoms :: RandomGen g => Int -> g -> PArray a | Source

randomRs :: RandomGen g => Int -> (a, a) -> g -> PArray a | Source

Instances

Random Double
Random Int

length :: Elt a => PArray a -> Int | Source

empty :: Elt a => PArray a | Source

replicate :: Elt a => Int -> a -> PArray a | Source

singleton :: Elt a => a -> PArray a | Source

zip :: (Elt a, Elt b) => PArray a -> PArray b -> PArray (a, b) | Source

unzip :: (Elt a, Elt b) => PArray (a, b) -> (PArray a, PArray b) | Source

enumFromTo :: Int -> Int -> PArray Int | Source

fromList :: Elt a => [a] -> PArray a | Source

nf :: Elt a => PArray a -> () | Source

Produced by Haddock version 2.4.2